"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
class CursorIterator {
    constructor(cursor, map = (next) => next) {
        this.cursor = cursor;
        this.map = map;
        this[_a] = () => this;
    }
    async next() {
        const next = await this.cursor.next();
        return {
            value: this.map(next),
            done: next == null,
        };
    }
}
exports.default = CursorIterator;
_a = Symbol.asyncIterator;
//# sourceMappingURL=cursor-iterator.js.map