"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Db = exports.MongoClient = exports.ObjectId = exports.AtlasApi = exports.NongoMap = exports.generateInterfaces = exports.MongoIndex = exports.TsInterfaceGenerator = exports.SchemaParser = exports.Validator = exports.DynamicModel = exports.Model = exports.NongoMulti = exports.Nongo = void 0;
var nongo_1 = require("./nongo");
Object.defineProperty(exports, "Nongo", { enumerable: true, get: function () { return __importDefault(nongo_1).default; } });
var nongo_multi_1 = require("./nongo-multi");
Object.defineProperty(exports, "NongoMulti", { enumerable: true, get: function () { return __importDefault(nongo_multi_1).default; } });
var model_1 = require("./model");
Object.defineProperty(exports, "Model", { enumerable: true, get: function () { return __importDefault(model_1).default; } });
var dynamic_model_1 = require("./dynamic-model");
Object.defineProperty(exports, "DynamicModel", { enumerable: true, get: function () { return __importDefault(dynamic_model_1).default; } });
var validator_1 = require("./validator");
Object.defineProperty(exports, "Validator", { enumerable: true, get: function () { return __importDefault(validator_1).default; } });
var schema_parser_1 = require("./schema-parser");
Object.defineProperty(exports, "SchemaParser", { enumerable: true, get: function () { return __importDefault(schema_parser_1).default; } });
var ts_interface_generator_1 = require("./ts-interface-generator");
Object.defineProperty(exports, "TsInterfaceGenerator", { enumerable: true, get: function () { return __importDefault(ts_interface_generator_1).default; } });
var mongo_index_1 = require("./mongo-index");
Object.defineProperty(exports, "MongoIndex", { enumerable: true, get: function () { return __importDefault(mongo_index_1).default; } });
var generate_interfaces_1 = require("./generate-interfaces");
Object.defineProperty(exports, "generateInterfaces", { enumerable: true, get: function () { return __importDefault(generate_interfaces_1).default; } });
var nongo_map_1 = require("./nongo-map");
Object.defineProperty(exports, "NongoMap", { enumerable: true, get: function () { return __importDefault(nongo_map_1).default; } });
__exportStar(require("./interface"), exports);
var atlas_api_1 = require("./atlas-api");
Object.defineProperty(exports, "AtlasApi", { enumerable: true, get: function () { return __importDefault(atlas_api_1).default; } });
var mongodb_1 = require("mongodb");
Object.defineProperty(exports, "ObjectId", { enumerable: true, get: function () { return mongodb_1.ObjectId; } });
Object.defineProperty(exports, "MongoClient", { enumerable: true, get: function () { return mongodb_1.MongoClient; } });
Object.defineProperty(exports, "Db", { enumerable: true, get: function () { return mongodb_1.Db; } });
//# sourceMappingURL=index.js.map