"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
class RevisionModel extends _1.Model {
    defineSchema() {
        return {
            revision: {
                type: "string",
            },
            history: {
                type: [{
                        id: { type: "string" },
                        revision: { type: "string" },
                        created: { type: "date" },
                    }]
            }
        };
    }
    schemaVersioningEnabled() {
        return true;
    }
}
exports.default = RevisionModel;
//# sourceMappingURL=revision-model.js.map