import merge from "deepmerge";
import DummyModelWithRevisionObj from './dummy-model-with-revision-obj'
import RevisionModel from '../../src/revision-model';

export default class DummyModelWithRevision extends RevisionModel<DummyModelWithRevisionObj> {
  public defineSchema(): any {
    return merge(super.defineSchema(),{
      created: {
        type: 'date',
        required: true,
      },
      name: {
        type: 'string',
        unique: true,
        required: true,
      },
      age: {
        type: 'number',
      }
    });
  }
}
